### Hierarchy

- DataTransfer

## Index

### Properties

- dropEffect
- effectAllowed
- files
- items
- types

### Methods

- clearData
- getData
- setData
- setDragImage

## Properties

### dropEffect

dropEffect: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3833

### effectAllowed

effectAllowed: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3834

### files

files: FileList

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3838

Returns a FileList of the files being dragged, if any.

### items

items: DataTransferItemList

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3842

Returns a DataTransferItemList object, with the drag data.

### types

types: ReadonlyArray<string>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3847

Returns a frozen array listing the formats that were set in the dragstart event. In addition, if any files are being dragged, then one of the types will be the string "Files".

## Methods

### clearData

- clearData(format?: undefined | string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3851

  Removes the data of the specified formats. Removes all data if the argument is omitted.

  #### Parameters

  - ##### Optional format: undefined | string

  #### Returns void

### getData

- getData(format: string): string

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3855

  Returns the specified data. If there is no such data, returns the empty string.

  #### Parameters

  - ##### format: string

  #### Returns string

### setData

- setData(format: string, data: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3859

  Adds the specified data.

  #### Parameters

  - ##### format: string

  - ##### data: string

  #### Returns void

### setDragImage

- setDragImage(image: Element, x: number, y: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:3864

  Uses the given element to update the drag feedback, replacing any previously specified feedback.

  #### Parameters

  - ##### image: Element

  - ##### x: number

  - ##### y: number

  #### Returns void

Generated using TypeDoc